# go-zero
github.com/zeromicro/go-zero

* 强大的工具支持，尽可能少的代码编写
* 极简的接口
* 完全兼容 net/http
* 支持中间件，方便扩展
* 高性能
* 面向故障编程，弹性设计
* 内建服务发现、负载均衡
* 内建限流、熔断、降载，且自动触发，自动恢复
* API 参数自动校验
* 超时级联控制
* 自动缓存控制
* 链路跟踪、统计报警等
* 高并发支撑，稳定保障了疫情期间每天的流量洪峰

## Usage

```
# 安装goctl命令行
go get -u github.com/zeromicro/go-zero
go install github.com/zeromicro/go-zero/tools/goctl@latest

docker run --rm -it -v `pwd`:/app kevinwan/goctl:latest-arm64 goctl --help

# 项目初始化
goctl api new greet
cd greet
go mod init github.com/jianboy/greet
go get -u github.com/zeromicro/go-zero
go mod tidy
go run greet.go -f etc/greet-api.yaml
```

## Develop

```
go mod tidy

cd tools/goctl && go build -v goctl.go
```


